LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 12-03-2005, 03:01 PM   #1
revenge80200
Member
 
Registered: Mar 2004
Location: Chicago
Distribution: Lenny & Xp
Posts: 238

Rep: Reputation: 30
Remove Suse 9.3, keep Debian


Top of the morning all,

I wanted to give Suse 9.3 a spin, only to find that it did not want to play well with my monitor; So I would just assume remove it from the system. I would like to remove Suse and revert to Debian's Grub. For some reason though, I do not think that just going to fdisk and removing Suse's partiton would work too well.

Care to give me a push in the right direction?

Much thanks,
Eric.
 
Old 12-03-2005, 03:38 PM   #2
iZm
LQ Newbie
 
Registered: Jul 2004
Distribution: Gentoo, Debian, Suse, Ubuntu
Posts: 12

Rep: Reputation: 0
boot into debian and reinstall grub from there. Then you can remove/fdisk any partitions that belong to Suse.

I am of course assuming that this is a dual boot box.
 
Old 12-03-2005, 03:56 PM   #3
revenge80200
Member
 
Registered: Mar 2004
Location: Chicago
Distribution: Lenny & Xp
Posts: 238

Original Poster
Rep: Reputation: 30
Okay, that sounds like a plan, but I am running into a bit of a problem: When I do apt-get install grub I get the following error:

You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
xserver-xorg: Depends: xserver-common (>= 6.8.2.dfsg.1-11) but 6.8.2.dfsg.1-10 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
linuxbox:/home/eric# apt-get install grub
Reading package lists... Done
Building dependency tree... Done
grub is already the newest version.
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
xserver-xorg: Depends: xserver-common (>= 6.8.2.dfsg.1-11) but 6.8.2.dfsg.1-10 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
linuxbox:/home/eric#

I then try the suggestion: apt-get -f install, to which I am prompted with:

linuxbox:/home/eric# apt-get -f install
Reading package lists... Done
Building dependency tree... Done
Correcting dependencies... Done
The following extra packages will be installed:
exim4-base xserver-common xserver-xorg
Suggested packages:
eximon4 exim4-doc-html exim4-doc-info gnutls-bin configlet-frontends libglide2
Recommended packages:
discover mdetect xresprobe
The following packages will be upgraded:
exim4-base xserver-common xserver-xorg
3 upgraded, 0 newly installed, 0 to remove and 146 not upgraded.
78 not fully installed or removed.
Need to get 0B/6973kB of archives.
After unpacking 73.7kB of additional disk space will be used.
Do you want to continue [Y/n]? Y
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
dpkg-preconfigure: cannot connect to X server :0.0
(Reading database ... 86842 files and directories currently installed.)
Preparing to replace exim4-base 4.54-2 (using .../exim4-base_4.60-1_i386.deb) ...
Unpacking replacement exim4-base ...
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
frontend: cannot connect to X server :0.0
dpkg: warning - old post-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
frontend: cannot connect to X server :0.0
dpkg: error processing /var/cache/apt/archives/exim4-base_4.60-1_i386.deb (--unpack):
subprocess new post-removal script returned error exit status 1
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
frontend: cannot connect to X server :0.0
dpkg: error while cleaning up:
subprocess post-removal script returned error exit status 1
Preparing to replace xserver-common 6.8.2.dfsg.1-10 (using .../xserver-common_6.8.2.dfsg.1-11_i386.deb) ...
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
frontend: cannot connect to X server :0.0
dpkg: error processing /var/cache/apt/archives/xserver-common_6.8.2.dfsg.1-11_i386.deb (--unpack):
subprocess pre-installation script returned error exit status 1
Preparing to replace xserver-xorg 6.8.2.dfsg.1-10 (using .../xserver-xorg_6.8.2.dfsg.1-11_i386.deb) ...
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
frontend: cannot connect to X server :0.0
dpkg: warning - old pre-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
frontend: cannot connect to X server :0.0
dpkg: error processing /var/cache/apt/archives/xserver-xorg_6.8.2.dfsg.1-11_i386.deb (--unpack):
subprocess new pre-removal script returned error exit status 1
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
frontend: cannot connect to X server :0.0
dpkg: error while cleaning up:
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
/var/cache/apt/archives/exim4-base_4.60-1_i386.deb
/var/cache/apt/archives/xserver-common_6.8.2.dfsg.1-11_i386.deb
/var/cache/apt/archives/xserver-xorg_6.8.2.dfsg.1-11_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
linuxbox:/home/eric#

I am at a bit of a loss.

Any ideas?
Eric.
 
Old 12-03-2005, 04:05 PM   #4
iZm
LQ Newbie
 
Registered: Jul 2004
Distribution: Gentoo, Debian, Suse, Ubuntu
Posts: 12

Rep: Reputation: 0
type "xhost +localhost" as the user that you are logged in as before running the apt commands as root. This will give the root user permissions to use your X session.
 
Old 12-03-2005, 04:12 PM   #5
iZm
LQ Newbie
 
Registered: Jul 2004
Distribution: Gentoo, Debian, Suse, Ubuntu
Posts: 12

Rep: Reputation: 0
you don't actually need to reinstall grub. Just re-set it up. I would need to know more about your partitions and drives to give you a command but you could google for how to set it up with your drive/partition config. It is only a couple of commands. Although you might not be using the Gentoo distro, their installation docs provide a good basic method of setting it up.

Gentoo grub doc here

Last edited by iZm; 12-03-2005 at 04:15 PM.
 
Old 12-03-2005, 04:17 PM   #6
revenge80200
Member
 
Registered: Mar 2004
Location: Chicago
Distribution: Lenny & Xp
Posts: 238

Original Poster
Rep: Reputation: 30
Okay, I've entered xhost +localhost as a user with the result being:

localhost being added to access control list

I then su to root and try the apt-get -f install again, the apt-get install grub reported the try -f to get the following:

linuxbox:/home/eric# apt-get -f install
Reading package lists... Done
Building dependency tree... Done
Correcting dependencies... Done
The following extra packages will be installed:
exim4-base xserver-common xserver-xorg
Suggested packages:
eximon4 exim4-doc-html exim4-doc-info gnutls-bin configlet-frontends
libglide2
Recommended packages:
discover mdetect xresprobe
The following packages will be upgraded:
exim4-base xserver-common xserver-xorg
3 upgraded, 0 newly installed, 0 to remove and 146 not upgraded.
78 not fully installed or removed.
Need to get 0B/6973kB of archives.
After unpacking 73.7kB of additional disk space will be used.
Do you want to continue [Y/n]? y
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
dpkg-preconfigure: cannot connect to X server :0.0
(Reading database ... 86842 files and directories currently installed.)
Preparing to replace exim4-base 4.54-2 (using .../exim4-base_4.60-1_i386.deb) ...
Unpacking replacement exim4-base ...
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
frontend: cannot connect to X server :0.0
dpkg: warning - old post-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
frontend: cannot connect to X server :0.0
dpkg: error processing /var/cache/apt/archives/exim4-base_4.60-1_i386.deb (--unpack):
subprocess new post-removal script returned error exit status 1
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
frontend: cannot connect to X server :0.0
dpkg: error while cleaning up:
subprocess post-removal script returned error exit status 1
Preparing to replace xserver-common 6.8.2.dfsg.1-10 (using .../xserver-common_6.8.2.dfsg.1-11_i386.deb) ...
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
frontend: cannot connect to X server :0.0
dpkg: error processing /var/cache/apt/archives/xserver-common_6.8.2.dfsg.1-11_i386.deb (--unpack):
subprocess pre-installation script returned error exit status 1
Preparing to replace xserver-xorg 6.8.2.dfsg.1-10 (using .../xserver-xorg_6.8.2.dfsg.1-11_i386.deb) ...
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
frontend: cannot connect to X server :0.0
dpkg: warning - old pre-removal script returned error exit status 1
dpkg - trying script from the new package instead ...
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
frontend: cannot connect to X server :0.0
dpkg: error processing /var/cache/apt/archives/xserver-xorg_6.8.2.dfsg.1-11_i386.deb (--unpack):
subprocess new pre-removal script returned error exit status 1
Xlib: connection to ":0.0" refused by server
Xlib: Invalid MIT-MAGIC-COOKIE-1 key
frontend: cannot connect to X server :0.0
dpkg: error while cleaning up:
subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
/var/cache/apt/archives/exim4-base_4.60-1_i386.deb
/var/cache/apt/archives/xserver-common_6.8.2.dfsg.1-11_i386.deb
/var/cache/apt/archives/xserver-xorg_6.8.2.dfsg.1-11_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
linuxbox:/home/eric#

Any ideas as to what I did wrong?

Thanks for helping, really.
Eric.
 
Old 12-04-2005, 06:37 AM   #7
iZm
LQ Newbie
 
Registered: Jul 2004
Distribution: Gentoo, Debian, Suse, Ubuntu
Posts: 12

Rep: Reputation: 0
Quote:
I then su to root and try the apt-get -f install again, the apt-get install grub reported the try -f to get the following:
That is an incomplete command. You need to add the package that you wish to install to it. i.e.

Code:
apt-get -f install grub
You could still just re-configure grub though. (see my previous post)

Last edited by iZm; 12-04-2005 at 06:39 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Remove SuSE Novell logo on tty1 of suse 9.2 cascosailor SUSE / openSUSE 2 12-07-2005 09:32 PM
W2K Debian Samba remove printer Pug405 Linux - Networking 1 12-04-2005 06:44 AM
remove Bind from Debian Sarge cccc Debian 2 06-08-2005 09:08 PM
How to remove software at Debian sarge? Mathsniper Linux - Newbie 6 02-16-2005 09:51 AM
Remove LILO and Knoppix/Debian go4java Linux - Newbie 2 10-12-2004 04:34 AM


All times are GMT -5. The time now is 02:42 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration